var Controller = {
       arrayArticles: null,
	   categoryData: [],
       categoryName: [],
       categoryURL: [],
	   request: null,
	   reqStatus: false,
}

Controller.showContents = function (articleindex, grouped) {
    sf.scene.show('Contents', {index: articleindex, array: this.arrayArticles, grouped: grouped});
    sf.scene.focus('Contents');
} 

Controller.showMain = function (articleindex) {
    sf.scene.show('Main', {Index: articleindex});
    sf.scene.focus('Main');
}

Controller.initialize = function (categories) {
    alert("Controller.initialize()");
    for(var i=0; i<categories.length; i++) {
      this.categoryData.push(categories[i]);
    }
}

Controller.start = function (category) {
    alert("Controller.start()");
	Controller.GetJSON(category.url);
	sf.scene.show('Main');
}

Controller.GetJSON = function (categoryurl, groups, parentID) {
    alert("Controller.ParseJSON() - " + categoryurl);
    this.arrayArticles = [];
	
	this.reqStatus = true;
    var _THIS_ = this;
	function loader() {
		if (_THIS_.reqStatus == true) $('.loading').sfLoading('show');
	}
	var reqTimeout = setTimeout(loader, 1000);

	this.request = $.ajax({
		type: "get"
			,dataType: "json"
			,url: categoryurl
			,cache: true
			,success: function(data){
				if($(data).length > 0){
					_THIS_.arrayArticles = data;

					if (groups != true) {
						sf.scene.get('Main').initMainpage(_THIS_.arrayArticles);
						sf.scene.focus('Main');
					}
					else {
						sf.scene.hide('Main');
						Controller.showContents(parentID, true);
					}
				}
				else {
					sf.scene.get('Main').initMainpage(null);
					sf.scene.focus('Main');
					SceneMain.popupShow(STR_CONTENTS_CONTENT_LOADING_ERROR, STR_CONTENTS_BUTTON_OK);
				}
				
				_THIS_.reqStatus = false;
				clearTimeout(reqTimeout);
				$('.loading').sfLoading('hide');
			}
			,error: function(){ 
				alert("ajax error!!");
				_THIS_.reqStatus = false;
				clearTimeout(reqTimeout);
				$('.loading').sfLoading('hide');
			}
	});
}


/*Controller.preloadImages = function () {
    if (typeof arguments[arguments.length - 1] == 'function') {
        var callback = arguments[arguments.length - 1];
    } else {
        var callback = false;
    }
    if (typeof arguments[0] == 'object') {
        var images = arguments[0];
        var n = images.length;
    } else {
        var images = arguments;
        var n = images.length - 1;
    }
    var not_loaded = n;
    for (var i = 0; i < n; i++) {
        jQuery(new Image()).attr('src', images[i]).load(function() {
            if (--not_loaded < 1 && typeof callback == 'function') {
                callback();
            }
        });
    }
}*/