var Display = {
	totalTime : 0,
	curTime : 0
}

Display.init = function() {
    return true;
}

Display.setTotalTime = function(total) {
    this.totalTime = total;
}

Display.clearTime = function() {
	document.getElementById("timeInfo").innerHTML = '';
	document.getElementById("timeInfoFScreen").innerHTML = '';
	document.getElementById("progressBar").style.width = "0%";
	document.getElementById("progressBarFScreen").style.width = "0%";
}

Display.setTime = function(time) {
	this.curTime = time;
	if (time > this.totalTime) Player.stopVideo();
    var timePercent = (100 * time) / this.totalTime;
    var timeHTML = "";
    var timeHour = 0; var timeMinute = 0; var timeSecond = 0;
    var totalTimeHour = 0; var totalTimeMinute = 0; var totalTimesecond = 0;
    document.getElementById("progressBar").style.width = timePercent + "%";
	document.getElementById("progressBarFScreen").style.width = timePercent + "%";
    
        totalTimeHour = Math.floor(this.totalTime/3600000);
        timeHour = Math.floor(time/3600000);
        
        totalTimeMinute = Math.floor((this.totalTime%3600000)/60000);
        timeMinute = Math.floor((time%3600000)/60000);
        
        totalTimeSecond = Math.floor((this.totalTime%60000)/1000);
        timeSecond = Math.floor((time%60000)/1000);
        
        timeHTML = timeHour + ":";
        
        if(timeMinute == 0)
            timeHTML += "00:";
        else if(timeMinute <10)
            timeHTML += "0" + timeMinute + ":";
        else
            timeHTML += timeMinute + ":";
            
        if(timeSecond == 0)
            timeHTML += "00/";
        else if(timeSecond <10)
            timeHTML += "0" + timeSecond + "/";
        else
            timeHTML += timeSecond + "/";
            
		timeHTML += totalTimeHour + ":";
        
        if(totalTimeMinute == 0)
            timeHTML += "00:";
        else if(totalTimeMinute <10)
            timeHTML += "0" + totalTimeMinute + ":";
        else
            timeHTML += totalTimeMinute + ":";
            
        if(totalTimeSecond == 0)
            timeHTML += "00";
        else if(totalTimeSecond <10)
            timeHTML += "0" + totalTimeSecond;
        else
            timeHTML += totalTimeSecond;
	document.getElementById("timeInfo").innerHTML = timeHTML;
	document.getElementById("timeInfoFScreen").innerHTML = timeHTML;
}

Display.status = function(status) {
	$("#playerStatus").text(status);
}

Display.hide = function() {
    document.getElementById("SceneContents").style.display="none";
}

Display.show = function() {
    document.getElementById("SceneContents").style.display="block";
}

